summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/MythVantage-config/xconfig.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/mv-core/MythVantage-config/xconfig.sh')
-rwxr-xr-xabs/mv-core/MythVantage-config/xconfig.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/abs/mv-core/MythVantage-config/xconfig.sh b/abs/mv-core/MythVantage-config/xconfig.sh
index 42603d6..4984dc5 100755
--- a/abs/mv-core/MythVantage-config/xconfig.sh
+++ b/abs/mv-core/MythVantage-config/xconfig.sh
@@ -4,10 +4,17 @@ BASE=""
#TEMPLATES="/usr/share/templates"
function Xvalues {
- VGACARDTYPE=`lspci|grep -i vga|sort -r|head -n 1| cut -d: -f3|cut -d" " -f 2`
+ CMDLINE=$(cat /proc/cmdline)
+ echo $CMDLINE |grep -q forceXvesa
+ if [ $? = 0 ]
+ then
+ VGACARDTYPE=vesa
+ else
+ VGACARDTYPE=`lspci|grep -i vga|sort -r|head -n 1| cut -d: -f3|cut -d" " -f 2`
+ fi
echo $VGACARDTYPE
currentmode=`cat $BASE/etc/X11/xorg.conf |grep Modes|awk -Fs ' { print $2 } '`
- }
+}
function presetupX {
if [ x$XUseAdvanced = x1 ]
@@ -192,6 +199,9 @@ function setupX {
fi
;;
+ vesa) sed -e "s/^.*Modes.*$/\t Modes \"${Xres}\"/" $TEMPLATES/xorg/xorg.conf.vesa > $XORG_CONF
+
+
*) #XCONF=`hwd -x |grep etc`
XCONF=`hwd -x |grep etc|tr -d [:cntrl:]|cut -d\/ -f 2-`